#! /usr/bin/perl -w
sub make_single_paper {
my $r;
chdir $_[0];
open O, "|pdflatex -output-directory=.. -jobname=meta2008_submission_$_[0]>/dev/null" or die "$!\n";
print O <<"-";  
\\makeatletter\\tracingonline=0
\\let\\\@metac\@onefilewithoptions  =\\\@onefilewithoptions
\\def\\cutIII#1#2#3{}
\\def\\metacomaketitle{\\let\\addcontentsline\\cutIII\\\@metacmaketitle
    \\let\\addcontentsline\\\@metacaddcontentsline}%
\\def\\\@onefilewithoptions#1[#2][#3]#4{%
 \\let\\\@onefilewithoptions=\\\@metac\@onefilewithoptions 
 \\PassOptionsToClass{a5paper}{article}%
 \\\@metac\@onefilewithoptions#1[runningheads,#2][#3]{#4}%
 \\setlength\\hoffset{-33mm}%
 \\setlength\\voffset{-25mm}%
 \\setlength{\\textwidth}{12.2cm}%
 \\setlength{\\textheight}{19.3cm}%
 \\pdfpageheight=225mm
 \\pdfpagewidth=150mm
 \\let\\if\@runhead\\iftrue
 \\RequirePackage{hyperref} 
 \\RequirePackage[open,depth=5]{bookmark}}
\\AtBeginDocument{
 \\let\\\@metacaddcontentsline  =\\addcontentsline
 \\let\\\@metacmaketitle        =\\maketitle
 \\let\\maketitle              =\\metacomaketitle
\\setcounter{page}{$_[1]}}
\\batchmode\\input{meta2008_submission_$_[0].tex}
-
close O;
open I, "../meta2008_submission_$_[0].log" or die "$! $_[0]\n";
while(<I>){
next unless /^Output .* \((\d+)/;
$r=$1;
}
close I;
chdir "..";
return $r}
$p=9;
#$p=1;
my $r;
foreach $n ( 3,9,13,11,1,5,6,7,8,4,10,2,12){
     &make_single_paper($n,$p);
    $r= &make_single_paper($n,$p);
    $s=$p+$r;
    print "$p+$r=$s\n";
    $p=$s;
#    $p+=1 unless $p % 2;
}

